Subject: Re: [v1] powerpc/mpc512x: silence build warning upon disabled DIU

From: Anatolij Gustschin <[email-masked]>
Date: Thu, 10 Oct 2013 21:37:47 +0200

Hello,

On Thu, 10 Oct 2013 11:23:55 -0700
Brian Norris <[email-masked]> wrote:
...
> > making mpc512x_setup_diu(), mpc512x_release_bootmem(),
> > mpc512x_valid_monitor_port() and void mpc512x_set_pixel_clock()
> > should be okay.
> 
> And mpc512x_init_diu()?

yes, it can be static, too.

> 
> >> Then, you can get the real benefit of IS_ENABLED() by removing the
> >>
> >>     #if IS_ENABLED(CONFIG_FB_FSL_DIU)
> >>
> >> from around all the DIU code, and it will automatically be removed by
> >> the compiler when it is not used.
> >>
> >> I think the current patch is necessary for immediate use, and it can be
> >> sent to stable. But I might suggest a follow-up patch or 2 that makes
> >> the functions static and kills the #ifdef entirely.
> >
> > Yes, we also have to remove CONFIG_FB_FSL_DIU ifdef in
> > arch/powerpc/sysdev/fsl_soc.h and building should work then.
> 
> Still want it around this line, probably, so we'll get compiler errors
> and not linker errors if someone tries to use it?
> 
>     extern struct platform_diu_data_ops diu_ops;
> 
> But otherwise that looks OK to me. Shall I send a patch?

yes, please.

Thanks,

Anatolij